/* --------------- events --------------- */
.events{
  position: relative;
  @include respond-to(tablet) {
    padding: 140px 0 110px 0;
  }
  h2{
    @include respond-to(tablet) {
      font-size: 36px;
      margin: 10px 410px 72px 0;
    }
  }
  .events__search{
    position: relative;
    top: auto;
    left: auto;
    @include respond-to(tablet) {
      position: absolute;
      top: 140px;
      right: 0;
    }
    >a{
      text-decoration: none;
      color: $text-light;
      font-size: 18px;
      margin-bottom: 20px;
      display: inline-block;
      &:hover{
        text-decoration: none;
      }
    }
    input[type="search"]{
      border-radius: 30px;
      background: url("../img/search.png") no-repeat 17px 9px;
      border: 1px solid #cccccc;
      width: 100%;
      padding: 0 10px 0 50px;
      font-size: 16px;
      margin-bottom: 30px;
      height: 40px;
      @include respond-to(tablet){
        width: 270px;
        background: url("../img/search.png") no-repeat 21px 20px;
        height: 60px;
        margin-left: 20px;
      }
    }
  }
  .events__list{
    >li{
      margin-bottom: 20px;
      >.events__img{
        display: block;
        position: relative;
        margin-bottom: 20px;
        >img{
          width: 100%;
        }
        >span{
          position: absolute;
          bottom: 12px;
          left: 0;
          width: 100%;
          padding: 0 20px;
          font-size: 24px;
          font-weight: 700;
          color: #fff;
          z-index: 1;
        }
        &:after{
          content: "";
          position: absolute;
          top: 0;
          left: 0;
          width: 100%;
          height: 100%;
          opacity: 0;
          background: rgba(9,24,48,.8);
          @include transitions(opacity);
        }
        &:before{
          content: "";
          background:  url("../img/events-arrow.png") no-repeat;
          width: 36px;
          height: 36px;
          top: 20px;
          right: 20px;
          opacity: 0;
          position: absolute;
          z-index: 5;
          @include transitions(opacity);
        }
        &:hover:before,
        &:hover:after{
          opacity: 1;
        }
      }
    }
    .events__time{
      position: relative;
      padding-left: 36px;
      display: block;
      color: $text-light-blue;
      line-height: 24px;
      font-size: $mainFontSize;
      margin-bottom: 10px;
      @include respond-to(tablet) {
        font-size: $mainFontSize-tablet;
        padding-left: 30px;
        float: left;
        margin-bottom: 0;
      }
      @include respond-to(desctop) {
        font-size: $mainFontSize;
        padding-left: 36px;
      }
      &:after{
        content: "";
        width: 24px;
        height: 24px;
        position: absolute;
        top: 0;
        left: 0;
        background: url("../img/events-sprite.png") no-repeat -26px 0;
      }
    }
    .events__location{
      display: block;
      color: $text-light-blue;
      position: relative;
      padding-left: 28px;
      line-height: 24px;
      font-size: $mainFontSize;
      @include respond-to(tablet) {
        font-size: $mainFontSize-tablet;
        padding-left: 20px;
        float: right;
      }
      @include respond-to(desctop){
        font-size: $mainFontSize;
        padding-left: 28px;
      }
      &:after{
        content: "";
        width: 24px;
        height: 24px;
        position: absolute;
        top: 0;
        left: 0;
        background: url("../img/events-sprite.png") no-repeat 0 0;
      }
    }
  }
}
/* --------------- /events --------------- */
